# Generated by Django 4.1.5 on 2023-02-06 11:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('pig', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='InseminationJournal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_in', models.DateField(blank=True, null=True, verbose_name='Дата поступления')),
                ('batch_semen_id', models.CharField(max_length=256, verbose_name='Номер партии семени')),
                ('count_doses', models.IntegerField(blank=True, null=True, verbose_name='Количество доз, шт')),
                ('OP_day_null', models.IntegerField(blank=True, help_text='OP_day_null | Общая подвижность при поступлении', null=True, verbose_name='ОП при поступлении')),
                ('PP_day_null', models.IntegerField(blank=True, help_text='PP_day_null | Прямолинейная подвижность при поступлении', null=True, verbose_name='ПП при поступлении')),
                ('OP_day_first', models.IntegerField(blank=True, help_text='OP_day_first | Общая подвижность через 1 сутки', null=True, verbose_name='ОП через 1 сутки')),
                ('PP_day_first', models.IntegerField(blank=True, help_text='PP_day_first | Прямолинейная подвижность через 1 сутки', null=True, verbose_name='ПП через 1 сутки')),
                ('code_insemination_first', models.CharField(blank=True, max_length=256, null=True, verbose_name='Код осем. через 1 сутки')),
                ('OP_day_second', models.IntegerField(blank=True, help_text='OP_day_second | Общая подвижность через 2 сутки', null=True, verbose_name='ОП через 2 суток')),
                ('PP_day_second', models.IntegerField(blank=True, help_text='PP_day_second | Прямолинейная подвижность через 2 сутки', null=True, verbose_name='ПП через 2 суток')),
                ('code_insemination_second', models.CharField(blank=True, max_length=256, null=True, verbose_name='Код осем. через 2 суток')),
                ('OP_day_third', models.IntegerField(blank=True, help_text='OP_day_third | Общая подвижность через 3 суток', null=True, verbose_name='ОП через 3 суток')),
                ('PP_day_third', models.IntegerField(blank=True, help_text='PP_day_third | Прямолинейная подвижность через 3 суток', null=True, verbose_name='ПП через 3 суток')),
                ('code_insemination_third', models.CharField(blank=True, max_length=256, null=True, verbose_name='Код осем. через 3 суток')),
                ('OP_day_fourth', models.IntegerField(blank=True, help_text='OP_day_fourth | Общая подвижность через 4 суток', null=True, verbose_name='ОП через 4 суток')),
                ('PP_day_fourth', models.IntegerField(blank=True, help_text='PP_day_fourth | Прямолинейная подвижность через 4 суток', null=True, verbose_name='ПП через 4 суток')),
                ('code_insemination_fourth', models.CharField(blank=True, max_length=256, null=True, verbose_name='Код осем. через 4 суток')),
                ('is_deleted', models.IntegerField(blank=True, null=True, verbose_name='Утилизировано, доз')),
                ('comment', models.TextField(blank=True, help_text='comment', null=True, verbose_name='Комментарий')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('boar', models.ForeignKey(blank=True, help_text='boar | Хряк', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='insemination', to='pig.unitpig', verbose_name='Хряк')),
            ],
            options={
                'verbose_name': 'Журнал спермы',
                'verbose_name_plural': 'Журнал спермы',
            },
        ),
    ]
